Save summaries
curl --request POST \
--url https://sandbox.tight.com/v6/summaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"id": "sum_123456789",
"status": "ACTIVE"
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/summaries"
payload = { "data": [
{
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"id": "sum_123456789",
"status": "ACTIVE"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
summary: 'Monthly financial summary for January 2024',
date: '2025-01-01',
id: 'sum_123456789',
status: 'ACTIVE'
}
]
})
};
fetch('https://sandbox.tight.com/v6/summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "sum_123456789",
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"status": "ACTIVE",
"conversation": {
"id": "<string>"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "sum_123456789",
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"status": "ACTIVE",
"conversation": {
"id": "<string>"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "sum_123456789",
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"status": "ACTIVE",
"conversation": {
"id": "<string>"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Summaries
Save summaries
Save new (or update existing) summaries
POST
/
v6
/
summaries
Save summaries
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I